DCUNCAT(1)

NAME
dcuncat - ACR/NEMA DICOM PS3 ... DICOM PS3 - Split multiframe image into concatenation

SYNOPSIS

dcuncat -framesper n [ -unenhance [ -noprivateseq ] [ -noprivateattr ] ] [ -sameseries ] [ -v|verbose ] [ -ignorereaderrors ] " inputfile1 " -of outputprefix

DESCRIPTION

dcuncat reads the named dicom multi frame input file, and splits it into a concatenation of smaller instances.

The concatenation instances will be placed in a new series generated from the old series number plus 7000, unless specified otherwise.

OPTIONS
The verbose output goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-v|verbose
    List sort order and which file contributes to which frame as it is written.

-framesper n
    Required. Specifies the number of frames per concatenation instance.

-unenhance
    Convert enhanced IODs to old unenhanced by removing per-frame and shared functional group sequences and moving their contents to the top level dataset. Implies framesper of 1.

-noprivateseq
    When unenhancing, do not examine private functional group sequences. If not specified, default is to copy all attributes (standard or private) from within private functional group sequences, which in the case of some vendors who hide "fallback" unenhanced object attributes in private functional groups may give better results.

-noprivateattr
    When unenhancing, do not copy private attributes from within functional groups (private or standard). Does not suppress examination of private functional groups. Note that the use of -removeprivate may also be required, if any existing top level private attributes are to be removed as well.

-sameseries
    Do not create a new series but rather add to the existing series.

ENVIRONMENT

EXAMPLES

 ...

FILES

SEE ALSO
dcintro(1), dcmulti(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

The unehance option is supported for CT and MR only at this time.

Only MR objects are currently "cleaned up" to populate missing or incomplete required attributes at this time.